wp-discourse

plugin banner

This plugin allows you to *optionally* publish your WordPress blog posts on a Discourse instance.

Once published, WordPress will fetch the best 5 co

Author:Discourse (profile at wordpress.org)
WordPress version required:4.7
WordPress version tested:5.2.4
Plugin version:1.9.7
Added to WordPress repository:05-07-2016
Last updated:22-10-2019
Rating, %:90
Rated by:8
Plugin URI:https://github.com/discourse/wp-discourse
Total downloads:40 905
Active installs:1 000+
plugin download
Click to start download

The WP Discourse plugin acts as an interface between your WordPress site and your
Discourse community.

Use Discourse for comments:

  • Automatically creates a forum topic for discussion when a new blog post is published.
  • Associates WP author accounts with their respective Discourse accounts. Does not require SSO.
  • Replies from the forum discussion can be embedded in the WP blog post. Select which replies to display
    based on post score and commenter “trust level” — see docs.

See it live

Single Sign On from WordPress to Discourse

The plugin also comes with optional SSO functionality which lets you use your WordPress site as the
Single Sign On provider for your Discourse forum.

This will override Discourse’s native (and powerful) login flow and is only recommended for use cases
that strictly require such a setup, e.g. a site that is already using WordPress for large scale user management.

Authentication from Discourse to WordPress

The plugin allows you to use Discourse as an authentication provider for your WordPress site.

Note

The WP Discourse plugin requires PHP version 5.4.0 and greater. If >=PHP-5.4.0 is not available, the plugin installation
will fail.

Contact


Screenshots
FAQ
ChangeLog